package com.simuwang.base.pojo.dto.query;


import com.simuwang.base.common.support.query.PageQuery;

/**
 * @author wangzaijun
 * @date 2024/9/13 13:38
 * @description 角色用户关联的分页接口请求参数
 */
public class FundInfoPageQuery extends PageQuery {

    /**
     * 基金ID
     */
    private String fundId;
    /**
     * 基金名称
     */
    private String fundShortName;
    /**
     * 公司简称
     */
    private String companyShortName;
    /**
     * 净值报送频率
     */
    private Integer navFrequency;
    /**
     * 规模报送频率
     */
    private Integer assetFrequency;
    /**
     * 成立日期开始时间
     */
    private String startDate;
    /**
     * 成立日期结束时间
     */
    private String endDate;

    public String getFundId() {
        return fundId;
    }

    public void setFundId(String fundId) {
        this.fundId = fundId;
    }

    public String getFundShortName() {
        return fundShortName;
    }

    public void setFundShortName(String fundShortName) {
        this.fundShortName = fundShortName;
    }

    public String getCompanyShortName() {
        return companyShortName;
    }

    public void setCompanyShortName(String companyShortName) {
        this.companyShortName = companyShortName;
    }

    public Integer getNavFrequency() {
        return navFrequency;
    }

    public void setNavFrequency(Integer navFrequency) {
        this.navFrequency = navFrequency;
    }

    public Integer getAssetFrequency() {
        return assetFrequency;
    }

    public void setAssetFrequency(Integer assetFrequency) {
        this.assetFrequency = assetFrequency;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }
}
